Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description.java2wsdl
Class Java2WSDLUtils

    java.lang.Object
      org.apache.axis2.description.java2wsdl.Java2WSDLUtils

    public class Java2WSDLUtils

extends Object

Field Summary
`static String` | `HTTP`
`static char` | `PACKAGE_CLASS_DELIMITER`
`static String` | `SCHEMA_NAMESPACE_EXTN`

Constructor Summary
`Java2WSDLUtils()`

Method Summary
`static String` | `getPackageName(String className, ClassLoader classLoader)`
`static String` | `getSimpleClassName(String qualifiedName)` A method to strip the fully qualified className to a simple classname
`static boolean` | `isURL(String entry)` check the entry for a URL.
`static StringBuffer` | `namespaceFromClassName(String className, ClassLoader classLoader)`
`static StringBuffer` | `namespaceFromClassName(String className, ClassLoader classLoader, NamespaceGenerator nsGen)`
`protected static String` | `packageNameFromClass(String name)`
`static StringBuffer` | `schemaNamespaceFromClassName(String packageName, ClassLoader loader)`
`static StringBuffer` | `schemaNamespaceFromClassName(String packageName, ClassLoader loader, NamespaceGenerator nsGen)`
`static StringBuffer` | `targetNamespaceFromClassName(String packageName, ClassLoader loader, NamespaceGenerator nsGen)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP

    public static final String HTTP

See Also:
  Constant Field Values

### PACKAGE_CLASS_DELIMITER

    public static final char PACKAGE_CLASS_DELIMITER

See Also:
  Constant Field Values

### SCHEMA_NAMESPACE_EXTN

    public static final String SCHEMA_NAMESPACE_EXTN

See Also:
  Constant Field Values

Constructor Detail

### Java2WSDLUtils

    public Java2WSDLUtils()

Method Detail

### isURL

    public static boolean isURL(String entry)

  check the entry for a URL. This is a simple check and need to be improved

  Parameters:
    `entry` -

### getSimpleClassName

    public static String getSimpleClassName(String qualifiedName)

  A method to strip the fully qualified className to a simple classname

  Parameters:
    `qualifiedName` -

### namespaceFromClassName

    public static StringBuffer namespaceFromClassName(String className,
                                                      ClassLoader classLoader)
                                               throws Exception

  Throws:
    `Exception`

### namespaceFromClassName

    public static StringBuffer namespaceFromClassName(String className,
                                                      ClassLoader classLoader,
                                                      NamespaceGenerator nsGen)
                                               throws Exception

  Throws:
    `Exception`

### schemaNamespaceFromClassName

    public static StringBuffer schemaNamespaceFromClassName(String packageName,
                                                            ClassLoader loader)
                                                     throws Exception

  Throws:
    `Exception`

### schemaNamespaceFromClassName

    public static StringBuffer schemaNamespaceFromClassName(String packageName,
                                                            ClassLoader loader,
                                                            NamespaceGenerator nsGen)
                                                     throws Exception

  Throws:
    `Exception`

### targetNamespaceFromClassName

    public static StringBuffer targetNamespaceFromClassName(String packageName,
                                                            ClassLoader loader,
                                                            NamespaceGenerator nsGen)
                                                     throws Exception

  Throws:
    `Exception`

### getPackageName

    public static String getPackageName(String className,
                                        ClassLoader classLoader)
                                 throws Exception

  Throws:
    `Exception`

### packageNameFromClass

    protected static String packageNameFromClass(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.